const express = require("express");
const router = express.Router();
const { authenticate } = require("../middleware/login.middleware.js");

const {
  PostComment,
  GetComment,
  ReactComment,
  DeleteComment,
  EditComment,
} = require("../controllers/comment.controller");

router.post("/", authenticate, PostComment);
router.get("/:tokenId", GetComment);
router.put("/:id/react", authenticate, ReactComment);
router.delete("/:id", authenticate, DeleteComment);
router.put("/:id", authenticate, EditComment);

module.exports = router;
